Raccourci vers le contenu principal de la page

PicoSvoxOOo

Dans :  Pour les élèves › Pour les élèves › Français › 
Janvier 2013

C'est un module OpenOffice / LibreOffice / OOo4kids  proposant une aide à la lecture-écriture pour les lecteurs débutants ou en difficulté :

- vocalisation des mots

- vocalisation des phrases

- vocalisation des paragraphes

 

 

Il suffit de surligner un morceau de texte et de cliquer sur le bouton de la fonctionnalité souhaitée.

 

Voir aussi le module LireCouleur

 

Compatibilité

Attention : la version à télécharger dépend du traitement de texte utilisé !
   → avec OOo4kids 1.3 télécharger PicoSvoxOOo v0.0.5
   → avec LibreOffice 4 télécharger PicoSvoxOOo v1.1
   → avec ApacheOpenOffice 4 télécharger PicoSvoxOOo v1.1 AOo4

D'une manière générale, c'est mieux d'utiliser un traitement de texte à jour de la dernière version.

Sous Linux, il faut installer la Synthèse Pico (Spico) pour que l’extension fonctionne, voir commentaire ci-dessous.

Sous Windows, il est possible qu' ApacheOpenOffice pose problème.

LibreOffice

Fonctionne avec LibreOffice 4, LibreOffice 5 et LibreOffice 6.

Bien vérifier que vous utilisez l'environnement d'exécution Java :
   menu Outils > Options > LibreOffice > Avancé (cocher par exemple Oracle Corporation 1.8.0_181)

Un redémarrage est nécessaire.

Synthèse Pico (Spico) pour Linux

Pour installer la Synthèse Pico (Spico) sous Linux :

1) Dans le gestionnaire de paquets :

- rechercher libttspico
- installer libttspico0, libttspico-data et libttspico-utils

- rechercher libtk
- installer libtk8.× (par exemple libtk8.6)

- rechercher libtcl
- installer libtcl8.× (par exemple libtcl8.6)

2) En cas de doute, vérifier l'existence des fichiers avec ces commandes en terminal :

for FICHIER in libttspico libtk libtcl; do find /usr/lib -iname "$FICHIER*"; done

    et le résultat doit ressembler à ça :

/usr/lib/x86_64-linux-gnu/libttspico.so.0.0.0
/usr/lib/x86_64-linux-gnu/libttspico.so.0
/usr/lib/x86_64-linux-gnu/libtk8.6.so
/usr/lib/x86_64-linux-gnu/libtk8.6.so.0
/usr/lib/x86_64-linux-gnu/libtcl8.6.so
/usr/lib/x86_64-linux-gnu/libtcl8.6.so.0